import { Dropdown } from 'antd';
// import type { DropDownProps } from 'antd/es/dropdown';
import classNames from 'classnames';
import styles from './index.less';

// export type HeaderDropdownProps = {
//   overlayClassName?: string;
//   overlay: React.ReactNode | (() => React.ReactNode) | any;
//   placement?: 'bottomLeft' | 'bottomRight' | 'topLeft' | 'topCenter' | 'topRight' | 'bottomCenter';
// } & Omit<DropDownProps, 'overlay'>;

const HeaderDropdown = ({ overlayClassName: cls, ...restProps }) => (
  <Dropdown overlayClassName={classNames(styles.container, cls)} {...restProps} />
);

export default HeaderDropdown;
